import type { DefineComponent, PropType, CSSProperties, VNode, RendererNode, RendererElement, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { ScrollPosition, VueNode, LazyLoadComponentPropsFunc } from './interface.ts';
export type LazyLoadComponentProps = Partial<ExtractPropTypes<ReturnType<typeof LazyLoadComponentPropsFunc>>>;
declare const _default: DefineComponent<{
    afterLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    beforeLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    scrollPosition: {
        type: PropType<ScrollPosition>;
        default: null;
    };
    visibleByDefault: {
        type: BooleanConstructor;
        default: boolean;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    useIntersectionObserver: {
        type: BooleanConstructor;
        default: boolean;
    };
    threshold: {
        type: NumberConstructor;
        default: number;
    };
    style: {
        type: PropType<CSSProperties>;
        default: () => void;
    };
    class: {
        type: StringConstructor;
        default: string;
    };
    delayMethod: {
        type: StringConstructor;
        default: string;
    };
    delayTime: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: PropType<VueNode>;
        default: () => void;
    };
}, () => JSX.Element | VNode<RendererNode, RendererElement, {
    [key: string]: any;
}>[] | undefined, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    afterLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    beforeLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    scrollPosition: {
        type: PropType<ScrollPosition>;
        default: null;
    };
    visibleByDefault: {
        type: BooleanConstructor;
        default: boolean;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    useIntersectionObserver: {
        type: BooleanConstructor;
        default: boolean;
    };
    threshold: {
        type: NumberConstructor;
        default: number;
    };
    style: {
        type: PropType<CSSProperties>;
        default: () => void;
    };
    class: {
        type: StringConstructor;
        default: string;
    };
    delayMethod: {
        type: StringConstructor;
        default: string;
    };
    delayTime: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: PropType<VueNode>;
        default: () => void;
    };
}>>, {
    afterLoad: () => void;
    beforeLoad: () => void;
    scrollPosition: ScrollPosition;
    visibleByDefault: boolean;
    height: number;
    width: number;
    useIntersectionObserver: boolean;
    threshold: number;
    style: CSSProperties;
    class: string;
    delayMethod: string;
    delayTime: number;
    placeholder: VueNode;
}, {}>;
export default _default;
