import type { DefineComponent, PropType, CSSProperties, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Effect, ScrollPosition, VueNode, LazyLoadImagePropsFunc } from './interface.js';
export type LazyLoadImageProps = Partial<ExtractPropTypes<ReturnType<typeof LazyLoadImagePropsFunc>>> & HTMLImageElement;
declare const _default: DefineComponent<{
    effect: {
        type: PropType<Effect>;
        default: string;
    };
    placeholderSrc: {
        type: StringConstructor;
        default: string;
    };
    wrapperClassName: {
        type: StringConstructor;
        default: string;
    };
    wrapperProps: {
        type: ObjectConstructor;
        default: () => {};
    };
    loadedClassName: {
        type: StringConstructor;
        default: string;
    };
    afterLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    beforeLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    scrollPosition: {
        type: PropType<ScrollPosition>;
        default: null;
    };
    visibleByDefault: {
        type: BooleanConstructor;
        default: boolean;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    useIntersectionObserver: {
        type: BooleanConstructor;
        default: boolean;
    };
    threshold: {
        type: NumberConstructor;
        default: number;
    };
    style: {
        type: PropType<CSSProperties>;
        default: () => void;
    };
    class: {
        type: StringConstructor;
        default: string;
    };
    delayMethod: {
        type: StringConstructor;
        default: string;
    };
    delayTime: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: PropType<VueNode>;
        default: () => void;
    };
}, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    effect: {
        type: PropType<Effect>;
        default: string;
    };
    placeholderSrc: {
        type: StringConstructor;
        default: string;
    };
    wrapperClassName: {
        type: StringConstructor;
        default: string;
    };
    wrapperProps: {
        type: ObjectConstructor;
        default: () => {};
    };
    loadedClassName: {
        type: StringConstructor;
        default: string;
    };
    afterLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    beforeLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    scrollPosition: {
        type: PropType<ScrollPosition>;
        default: null;
    };
    visibleByDefault: {
        type: BooleanConstructor;
        default: boolean;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    useIntersectionObserver: {
        type: BooleanConstructor;
        default: boolean;
    };
    threshold: {
        type: NumberConstructor;
        default: number;
    };
    style: {
        type: PropType<CSSProperties>;
        default: () => void;
    };
    class: {
        type: StringConstructor;
        default: string;
    };
    delayMethod: {
        type: StringConstructor;
        default: string;
    };
    delayTime: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: PropType<VueNode>;
        default: () => void;
    };
}>>, {
    effect: Effect;
    placeholderSrc: string;
    wrapperClassName: string;
    wrapperProps: Record<string, any>;
    loadedClassName: string;
    afterLoad: () => void;
    beforeLoad: () => void;
    scrollPosition: ScrollPosition;
    visibleByDefault: boolean;
    height: number;
    width: number;
    useIntersectionObserver: boolean;
    threshold: number;
    style: CSSProperties;
    class: string;
    delayMethod: string;
    delayTime: number;
    placeholder: VueNode;
}, {}>;
export default _default;
