import { CSSProperties, PropType, VNode } from "vue";
declare type VNodeChildAtom = VNode | string | number | boolean | null | undefined | void;
export type VueNode = VNodeChildAtom | VNodeChildAtom[] | JSX.Element;
export interface ScrollPosition {
    x: number;
    y: number;
}
export declare const LazyLoadComponentPropsFunc: () => {
    afterLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    beforeLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    scrollPosition: {
        type: PropType<ScrollPosition>;
        default: null;
    };
    visibleByDefault: {
        type: BooleanConstructor;
        default: boolean;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    useIntersectionObserver: {
        type: BooleanConstructor;
        default: boolean;
    };
    threshold: {
        type: NumberConstructor;
        default: number;
    };
    style: {
        type: PropType<CSSProperties>;
        default: () => void;
    };
    class: {
        type: StringConstructor;
        default: string;
    };
    delayMethod: {
        type: StringConstructor;
        default: string;
    };
    delayTime: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: PropType<VueNode>;
        default: () => void;
    };
};
export type Effect = 'blur' | 'black-and-white' | 'opacity';
export declare const LazyLoadImagePropsFunc: () => {
    effect: {
        type: PropType<Effect>;
        default: string;
    };
    placeholderSrc: {
        type: StringConstructor;
        default: string;
    };
    wrapperClassName: {
        type: StringConstructor;
        default: string;
    };
    wrapperProps: {
        type: ObjectConstructor;
        default: () => {};
    };
    loadedClassName: {
        type: StringConstructor;
        default: string;
    };
    afterLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    beforeLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    scrollPosition: {
        type: PropType<ScrollPosition>;
        default: null;
    };
    visibleByDefault: {
        type: BooleanConstructor;
        default: boolean;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    useIntersectionObserver: {
        type: BooleanConstructor;
        default: boolean;
    };
    threshold: {
        type: NumberConstructor;
        default: number;
    };
    style: {
        type: PropType<CSSProperties>;
        default: () => void;
    };
    class: {
        type: StringConstructor;
        default: string;
    };
    delayMethod: {
        type: StringConstructor;
        default: string;
    };
    delayTime: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: PropType<VueNode>;
        default: () => void;
    };
};
export {};
