import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes, PropType } from 'vue';
import { defineComponent } from "vue";
import { ScrollPosition, VueNode } from "./interface";
export type trackWindowScroll = (Component: ReturnType<typeof defineComponent>) => ReturnType<typeof defineComponent>;
export declare const trackWindowScroll: (Component: ReturnType<typeof defineComponent>) => DefineComponent<{
    scrollPosition: {
        type: PropType<ScrollPosition>;
        default: null;
    };
    useIntersectionObserver: {
        type: BooleanConstructor;
        default: boolean;
    };
    threshold: {
        type: NumberConstructor;
        default: number;
    };
    onVisible: {
        type: PropType<() => void>;
        default: () => void;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    delayMethod: {
        type: PropType<"throttle" | "debounce">;
        default: string;
    };
    delayTime: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: PropType<VueNode>;
        default: () => void;
    };
}, (() => JSX.Element) | null, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    scrollPosition: {
        type: PropType<ScrollPosition>;
        default: null;
    };
    useIntersectionObserver: {
        type: BooleanConstructor;
        default: boolean;
    };
    threshold: {
        type: NumberConstructor;
        default: number;
    };
    onVisible: {
        type: PropType<() => void>;
        default: () => void;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    delayMethod: {
        type: PropType<"throttle" | "debounce">;
        default: string;
    };
    delayTime: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: PropType<VueNode>;
        default: () => void;
    };
}>>, {
    scrollPosition: ScrollPosition;
    height: number;
    width: number;
    useIntersectionObserver: boolean;
    threshold: number;
    delayMethod: "throttle" | "debounce";
    delayTime: number;
    placeholder: VueNode;
    onVisible: () => void;
}, {}>;
export default trackWindowScroll;
